; Written by Terry Carmen (tpcarmen@servtech.com)
;
; Released to the Public Domain on September 26 1997
;
; Assemble with TASM /MX /W2
;
; Usage from Clipper: lResult:=is_nt()
;
; lResult will be true if running in a Windows NT DOS box, false otherwise



public  is_nt
	
extrn   __retl:far

_prog   segment 'CODE'
assume   cs:_prog,ds:nothing,es:nothing

is_nt       proc    far
	    push bp
	    mov bp, sp     ; save all the regs, since you never know who's using them
	    push ds
	    push es
	    push dx
	    push cx
	    push bx
	    push ax
	    
		mov AX, 3306h
	    int 21h
	    
	    cmp bx, 3205h  ; Get True Version # 
                       ; NT is version "5.50"  
    			       ; 05h -> 05d 
	    		       ; 32h -> 50d
		    	       ; 3205h -> 5.50 
			       
	    je @@nt                               
	    
	    mov ax, 0          ; not NT
	    jmp short @@bye

@@nt:   mov ax, 1          ; it's NT            


@@bye:  push ax
	    call __retl
	    add sp, 2

	    pop ax
	    pop bx
	    pop cx
	    pop dx
	    pop es
	    pop ds
	    pop bp
	    ret
	     
is_nt   endp
_prog   ends
	    end






